import express, { Request, Response } from "express";
const app = express()
const path = require("path")
const LoginModel = require("./mongodb")

app.post("/signup", async (req: Request, res: Response)=>{
    const data = {
        email:req.body.email,
        username:req.body.name,
        password:req.body.pass
    }
    try {
        await LoginModel.insertMany([data])
        // Render success or error page
        res.send("Signup successful");
    } catch (error) {
        console.error(error);
        // Handle error and send appropriate response
        res.status(500).send("Error signing up");
    }
})

app.post("/login", async (req: Request, res: Response) => {
    try {
      const check = await LoginModel.findOne({ username: req.body.name });
  
      if (check && check.password === req.body.password) {
        // Render home page or send success response
        res.send("Login successful");
      } else {
        // Send "Wrong password" response
        res.send("Wrong password");
      }
    } catch (error) {
      try {
        const check = await LoginModel.findOne({ email: req.body.email });
  
        if (check && check.password === req.body.password) {
          // Render home page or send success response
          res.send("Login successful");
        } else {
          // Send "Wrong password" response
          res.send("Wrong password");
        }
      } catch (error) {
        // Send "Wrong username or email" response
        res.send("Wrong username or email");
      }
    }
  })

app.listen(3000, ()=>{
    console.log("Port connected")
})